package com.bocloud.cmp.model;

import java.util.List;

/*openstack 数据同步model
 * ouyangwl
 * */
public class OSSyncModel {
    private List<RegionModel> regions;
    private List<HostModel> hostModels;
    private List<ServerModel> serverModels;
    private List<NetworkModel> networkModels;
    private List<VolumeModel> volumeModels;
    private List<SnapshotModel> snapshotModels;
    private List<ImageModel> imageModels;
    private List<FlavorModel> flavorModels;
    private List<AlarmModel> alarmModels;
    private List<PortModel> portModels;
    private List<RouterModel> routerModels;
    private List<SecurityGroupModel> groupModels;
    private List<FloatingIpModel> fIpModels;
    private List<FirewallModel> firewallModels;
    private List<FirewallPolicyModel> firewallPolicyModels;
    private List<FirewallRuleModel> firewallRuleModels;
    private List<LbModel> lbModels;
    private List<LbPoolModel> lbPoolModels;
    private List<HealthMonitorModel> hModels;
    private List<ObjectStorageContainerModel> objectStorageContainerModels;
    private List<ObjectStorageItemModel> objectStorageItemModels;
    private List<KeypairModel> keypairModels;
    private List<ClusterModel> clusterModels;
    private List<VolumeTypeModel> typeModels;
    private List<GwQosModel> gwQosModel;
    private List<OSTenantModel> tenants;
    private List<ClusterModel> hostResourcesModels;
    private List<HeatStackModel> stackModels;
    private List<HeatStackModel> stackVersionModels;
    private List<VpnModel> vpnModels;
    private List<VpnPolicyModel> vpnPolicyModels;
    private List<VpnConnModel> vpnConnModes;

    /**
     * @return the regions
     */
    public List<RegionModel> getRegions() {
        return regions;
    }

    /**
     * @param regions the regions to set
     */
    public void setRegions(List<RegionModel> regions) {
        this.regions = regions;
    }

    /**
     * @return the hostModels
     */
    public List<HostModel> getHostModels() {
        return hostModels;
    }

    /**
     * @param hostModels the hostModels to set
     */
    public void setHostModels(List<HostModel> hostModels) {
        this.hostModels = hostModels;
    }

    /**
     * @return the serverModels
     */
    public List<ServerModel> getServerModels() {
        return serverModels;
    }

    /**
     * @param serverModels the serverModels to set
     */
    public void setServerModels(List<ServerModel> serverModels) {
        this.serverModels = serverModels;
    }

    /**
     * @return the networkModels
     */
    public List<NetworkModel> getNetworkModels() {
        return networkModels;
    }

    /**
     * @param networkModels the networkModels to set
     */
    public void setNetworkModels(List<NetworkModel> networkModels) {
        this.networkModels = networkModels;
    }

    /**
     * @return the volumeModels
     */
    public List<VolumeModel> getVolumeModels() {
        return volumeModels;
    }

    /**
     * @param volumeModels the volumeModels to set
     */
    public void setVolumeModels(List<VolumeModel> volumeModels) {
        this.volumeModels = volumeModels;
    }

    /**
     * @return the snapshotModels
     */
    public List<SnapshotModel> getSnapshotModels() {
        return snapshotModels;
    }

    /**
     * @param snapshotModels the snapshotModels to set
     */
    public void setSnapshotModels(List<SnapshotModel> snapshotModels) {
        this.snapshotModels = snapshotModels;
    }

    /**
     * @return the imageModels
     */
    public List<ImageModel> getImageModels() {
        return imageModels;
    }

    /**
     * @param imageModels the imageModels to set
     */
    public void setImageModels(List<ImageModel> imageModels) {
        this.imageModels = imageModels;
    }

    /**
     * @return the flavorModels
     */
    public List<FlavorModel> getFlavorModels() {
        return flavorModels;
    }

    /**
     * @param flavorModels the flavorModels to set
     */
    public void setFlavorModels(List<FlavorModel> flavorModels) {
        this.flavorModels = flavorModels;
    }

    /**
     * @return the alarmModels
     */
    public List<AlarmModel> getAlarmModels() {
        return alarmModels;
    }

    /**
     * @param alarmModels the alarmModels to set
     */
    public void setAlarmModels(List<AlarmModel> alarmModels) {
        this.alarmModels = alarmModels;
    }

    /**
     * @return the portModels
     */
    public List<PortModel> getPortModels() {
        return portModels;
    }

    /**
     * @param portModels the portModels to set
     */
    public void setPortModels(List<PortModel> portModels) {
        this.portModels = portModels;
    }

    /**
     * @return the routerModels
     */
    public List<RouterModel> getRouterModels() {
        return routerModels;
    }

    /**
     * @param routerModels the routerModels to set
     */
    public void setRouterModels(List<RouterModel> routerModels) {
        this.routerModels = routerModels;
    }

    /**
     * @return the groupModels
     */
    public List<SecurityGroupModel> getGroupModels() {
        return groupModels;
    }

    /**
     * @param groupModels the groupModels to set
     */
    public void setGroupModels(List<SecurityGroupModel> groupModels) {
        this.groupModels = groupModels;
    }

    /**
     * @return the fIpModels
     */
    public List<FloatingIpModel> getfIpModels() {
        return fIpModels;
    }

    /**
     * @param fIpModels the fIpModels to set
     */
    public void setfIpModels(List<FloatingIpModel> fIpModels) {
        this.fIpModels = fIpModels;
    }

    /**
     * @return the firewallModels
     */
    public List<FirewallModel> getFirewallModels() {
        return firewallModels;
    }

    /**
     * @param firewallModels the firewallModels to set
     */
    public void setFirewallModels(List<FirewallModel> firewallModels) {
        this.firewallModels = firewallModels;
    }

    /**
     * @return the firewallPolicyModels
     */
    public List<FirewallPolicyModel> getFirewallPolicyModels() {
        return firewallPolicyModels;
    }

    /**
     * @param firewallPolicyModels the firewallPolicyModels to set
     */
    public void setFirewallPolicyModels(List<FirewallPolicyModel> firewallPolicyModels) {
        this.firewallPolicyModels = firewallPolicyModels;
    }

    /**
     * @return the firewallRuleModels
     */
    public List<FirewallRuleModel> getFirewallRuleModels() {
        return firewallRuleModels;
    }

    /**
     * @param firewallRuleModels the firewallRuleModels to set
     */
    public void setFirewallRuleModels(List<FirewallRuleModel> firewallRuleModels) {
        this.firewallRuleModels = firewallRuleModels;
    }

    /**
     * @return the lbModels
     */
    public List<LbModel> getLbModels() {
        return lbModels;
    }

    /**
     * @param lbModels the lbModels to set
     */
    public void setLbModels(List<LbModel> lbModels) {
        this.lbModels = lbModels;
    }

    /**
     * @return the lbPoolModels
     */
    public List<LbPoolModel> getLbPoolModels() {
        return lbPoolModels;
    }

    /**
     * @param lbPoolModels the lbPoolModels to set
     */
    public void setLbPoolModels(List<LbPoolModel> lbPoolModels) {
        this.lbPoolModels = lbPoolModels;
    }

    /**
     * @return the hModels
     */
    public List<HealthMonitorModel> gethModels() {
        return hModels;
    }

    /**
     * @param hModels the hModels to set
     */
    public void sethModels(List<HealthMonitorModel> hModels) {
        this.hModels = hModels;
    }

    /**
     * @return the objectStorageContainerModels
     */
    public List<ObjectStorageContainerModel> getObjectStorageContainerModels() {
        return objectStorageContainerModels;
    }

    /**
     * @param objectStorageContainerModels the objectStorageContainerModels to set
     */
    public void setObjectStorageContainerModels(List<ObjectStorageContainerModel> objectStorageContainerModels) {
        this.objectStorageContainerModels = objectStorageContainerModels;
    }

    /**
     * @return the objectStorageItemModels
     */
    public List<ObjectStorageItemModel> getObjectStorageItemModels() {
        return objectStorageItemModels;
    }

    /**
     * @param objectStorageItemModels the objectStorageItemModels to set
     */
    public void setObjectStorageItemModels(List<ObjectStorageItemModel> objectStorageItemModels) {
        this.objectStorageItemModels = objectStorageItemModels;
    }

    /**
     * @return the keypairModels
     */
    public List<KeypairModel> getKeypairModels() {
        return keypairModels;
    }

    /**
     * @param keypairModels the keypairModels to set
     */
    public void setKeypairModels(List<KeypairModel> keypairModels) {
        this.keypairModels = keypairModels;
    }

    /**
     * @return the clusterModels
     */
    public List<ClusterModel> getClusterModels() {
        return clusterModels;
    }

    /**
     * @param clusterModels the clusterModels to set
     */
    public void setClusterModels(List<ClusterModel> clusterModels) {
        this.clusterModels = clusterModels;
    }

    public List<VolumeTypeModel> getTypeModels() {
        return typeModels;
    }

    public void setTypeModels(List<VolumeTypeModel> typeModels) {
        this.typeModels = typeModels;
    }

    public List<GwQosModel> getGwQosModel() {
        return gwQosModel;
    }

    public void setGwQosModel(List<GwQosModel> gwQosModel) {
        this.gwQosModel = gwQosModel;
    }

    public List<OSTenantModel> getTenants() {
        return tenants;
    }

    public void setTenants(List<OSTenantModel> tenants) {
        this.tenants = tenants;
    }

    public List<ClusterModel> getHostResourcesModels() {
        return hostResourcesModels;
    }

    public void setHostResourcesModels(List<ClusterModel> hostResourcesModels) {
        this.hostResourcesModels = hostResourcesModels;
    }

    public List<HeatStackModel> getStackModels() {
        return stackModels;
    }

    public void setStackModels(List<HeatStackModel> stackModels) {
        this.stackModels = stackModels;
    }

    public List<HeatStackModel> getStackVersionModels() {
        return stackVersionModels;
    }

    public void setStackVersionModels(List<HeatStackModel> stackVersionModels) {
        this.stackVersionModels = stackVersionModels;
    }

    public List<VpnModel> getVpnModels() {
        return vpnModels;
    }

    public void setVpnModels(List<VpnModel> vpnModels) {
        this.vpnModels = vpnModels;
    }

    public List<VpnPolicyModel> getVpnPolicyModels() {
        return vpnPolicyModels;
    }

    public void setVpnPolicyModels(List<VpnPolicyModel> vpnPolicyModels) {
        this.vpnPolicyModels = vpnPolicyModels;
    }

    public List<VpnConnModel> getVpnConnModes() {
        return vpnConnModes;
    }

    public void setVpnConnModes(List<VpnConnModel> vpnConnModes) {
        this.vpnConnModes = vpnConnModes;
    }
}
